// Method returning an Object (i.e. File)
//
// This example shows how jtest represents outcomes for
// methods that return objects.
//
// 1) Run the test "FileRetValue.ctp"
// 2) Look at the TestCases generated for the user defined inputs:
//    2.1) Push the "View" button in the toolbar.
//    2.2) Open "User Defined Test Cases".
//    2.3) Open "get".
//    2.4) Open "Test Case".
// 3) The Outcomes for the test case with input name = "test.dat" 
//    are shown. Note that for the File "RETVAL" object jtest
//    automatically chooses some methods to allow the representation
//    of the File object.


package examples.dynamic.blackbox;

import java.io.File;

public class FileRetValue {
    public static File get (String name) {
        return new File (name);
    }
}
