This file contains an specification for a Queue class.

A Queue is a data structure in which items are entered at one end
and removed at the other. It follows the FIFO (first-in first-out
behavior).

The class Queue should have the following methods:

- Queue (): constructs an empty queue.

- void add (Object item): places a new object at the end of the queue.

- Object remove (): returns and removes the first object in the queue.
  An exception should be generated if the queue is empty.

- boolean isEmpty (): return true if the queue is empty.

- void removeAll (): removes all the objects in the queue.
