//
// User Defined Stubs for "TableClient".
//


package examples.dynamic.stubs.userdef.EJB;

import java.lang.reflect.*;

public class TableClientStubs extends jtest.Stubs
{
    public static Object stubs (Constructor ctor)
    {
        String class_name = ctor.getDeclaringClass ().getName ();

        if (class_name.equals ("javax.naming.InitialContext")) {
            // use stub because we don't want the actual contructor to be
            // called
            return VOID;
        }

        return NO_STUB_GENERATED;
    }

    public static Object stubs (Method method, Object _this, Object[] args)
    {
        String method_name = method.getName ();

        if (method_name.equals ("lookup"))
            return makeStubObject (TableHome.class);

        if (method_name.equals ("create"))
            return makeStubObject (Table.class);

        if (method_name.equals ("getSize")) {
            int index = ((Integer) args [0]).intValue ();
            switch (index) {
            case 1: return new Integer (10);
            case 2: return new Integer (-3);
            default: return new Integer (0);
            }
        }

        return NO_STUB_GENERATED;
    }
}
