/*
 * $RCSfile: Init.java,v $
 * $Revision: 32.2 $
 *
 * Comments:
 *
 * (C) Copyright ParaSoft Corporation 1998.  All rights reserved.
 * THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF ParaSoft
 * The copyright notice above does not evidence any
 * actual or intended publication of such source code.
 *
 * $Author: nadav $          $Locker:  $
 * $Date: 2001/07/03 22:25:34 $
 */

// Example of bean initialization done by jtest.
//
// We will use jtest to test the methods in this session bean.   
//
// 1) Use the "Class Testing UI" of jtest to test this class:
//    1.1) Push the "Browse" button in the "Class Testing UI" to
//         select "Init.class".
//    1.2) Push the "Start" button in the toolbar.
//
// 2) Jtest will find an ArrayIndexOutOfBoundsException. To see
//    how this exception can arise open the error message and
//    open "Test Case Input".

import javax.ejb.*;

public class Init implements SessionBean
{
    public void setSessionContext (SessionContext sc) {}
    public void ejbRemove () {}
    public void ejbActivate () {}
    public void ejbPassivate () {}

    public void ejbCreate () {
        _array = new int [10];
    }

    public int get (int index) {
        return _array [index];
    }

    private int [] _array;
}
