// Jtest can report @concurrency violations in user defined test cases.
//
// 1) Test this class using the ConcurrencyTest Test Class.
//
// 2) See the @concurrency violation generated.

package examples.dynamic.dbc;


public class Concurrency extends Thread
{
    public void run () {
        testMethod ();
    }

    /** @concurrency sequential */

    static void testMethod ()
    {
        System.out.println ("run:start");
        try {
            Thread.sleep (3000);
        } catch (InterruptedException e) {
        }
        System.out.println ("run:end");
    }


    //////////

    public static void main (String[] args)
        throws InterruptedException
    {
        new Concurrency ().start ();
        new Concurrency ().start ();
        Thread.sleep (4000);
    }
}
