// Jtest does not generate inputs that violate the preconditions of
// the tested methods.
//
// 1) Test this class using Jtest.
//
// 2) Look at the generated "Automatic Test Cases". Note that Jtest has
//    not generated test cases for inputs that violate the preconditions.
//
// Note that if the method 'getMonthName' didn't have a precondition, then
// Jtest would have generated test cases that would caused an
// ArrayIndexOutofBounds exception.


package examples.dynamic.dbc;

public class Pre
{
    /** @pre number >= 1 && number <= 12 */

    public static String getMonthName (int number)
    {
        return _table [number - 1];
    } 

    private static String[] _table = new String [] {
          "January", "February", "March", "April", "May", "June", "July"
        , "August", "September", "October", "November", "December"
    };
}
