//
// Example: specifying stubs in the Test Class itself.
//
// See the Test Class "InterpreterTest.java".
// See "Interpreter.ctp".
//

package examples.dynamic.stubs.userdef;

import java.io.*;

public class Interpreter
{
    public Interpreter (InputStream stream) {
        _dataInputStream = new DataInputStream (stream);
    }

    public Integer getNext ()
        throws IOException
    {
        String command = _dataInputStream.readUTF ();
        int op1 = _dataInputStream.readInt ();
        int op2 = _dataInputStream.readInt ();
        if (command.equals ("ADD"))
            return new Integer (op1 - op2);  // BUG: should be "+"
         else if (command.equals ("SUB"))
            return new Integer (op1 - op2);
        return null;
    }

    private DataInputStream _dataInputStream;
}
