/*
 * $RCSfile: Main.java,v $
 * $Revision: 32.1 $
 *
 * Comments:
 *
 * (C) Copyright ParaSoft Corporation 1998.  All rights reserved.
 * THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF ParaSoft
 * The copyright notice above does not evidence any
 * actual or intended publication of such source code.
 *
 * $Author: roman $          $Locker:  $
 * $Date: 1999/07/21 15:35:22 $
 */

import java.io.File;

public class Main
{
    public static void main (String[] args) {
        Command[] list = getCommandList ();

        for (int i = 0; i < list.length; i++) {
            boolean status = Command.execute (list [i], 100);
            System.out.println ("status = " + status);
        }
    }

    private static Command[] getCommandList () {
        Command[] list = new Command [3];

        list [0] = new DeleteFileCommand ("a.tmp");
        // comment next line out to show the error
        list [1] = new DeleteFileCommand ("b.tmp");
        list [2] = new DeleteFileCommand ("c.tmp");

        return list;
    }
}

class DeleteFileCommand extends Command
{
    DeleteFileCommand (String path) {
        _path = path;
    }

    public boolean action () {
        return new File (_path).delete ();
    }

    private String _path;
}
