// Jtest does not report errors for inputs that violate the preconditions of
// the tested methods.
//
// Jtest finds input that violate the preconditions, but it doesn't report
// errors for them.
//
// 1) Test this class using Jtest.
//
// 2) Look at the generated "Automatic Test Cases". Note that Jtest has
//    found inputs that violate the preconditions, but that no errors have
//    been reported for them.
//
// Note that if the method 'getMonthName' didn't have a precondition, then
// Jtest would have reported an ArrayIndexOutOfBoundsException.
//
// Please add @pre conditions whenever Jtest finds an uncaught runtime
// exception that happens because the method is passed input that is not
// supposed to handle.


package examples.eval.project;

public class PreConditions
{
    /** @pre number >= 1 && number <= 12 */

    public static String getMonthName (int number)
    {
        return _table [number - 1];
    } 

    private static String[] _table = new String [] {
          "January", "February", "March", "April", "May", "June", "July"
        , "August", "September", "October", "November", "December"
    };
}
