// This examples shows common Static Analysis Errors.
//  
// 1) Test this class using Jtest.
//
// 2) Look at the Errors Found section.
//    Static Analaysis repoted 13 errors.


package examples.eval.project;

import java.util.Vector;

public class Static {
    /** @pre size > 0 */
    public Static (int size) {
        _array = new int [size];
        _vector = new Vector();
    }
    public int getSize () {
        return _size;
    }
    public void setSize (int size) {
        _size = size;
    }
    public boolean isItIn (Object o) {
        int length = _vector.size ();
        for (int i = 0; i < length; i++) {
            if (o == (Object)_vector.get (i))
                return true;
        } 
        return false;
    }
    public boolean isEqual (String str) {
        return (str == "Static") ? true : false;
    }
    public boolean startsWith (String str) {
        if (str.startsWith ("A"))
            return true;
        return false;
    }
    public void addToVector (Object obj) { 
        _vector.add (obj);
    }
    public int calculateSum (int size) {
        int sum = 0;
        int length = _array.length;
        for (int i = 0; i < _array.length; i++) 
            sum += _array[i];
        return sum;
    }
    private int _size; 
    private int[] _array;
    private Vector _vector;
    private String _name = "Static";
}
