@echo off
rem       This is an example of a batch file that calls jtestgui 
rem       three times, consecutively.  It uses the filter in flag
rem       to test the three packages of the jtest/examples directory.
rem
rem       jtestgui.exe must exist on the system PATH for this batch file
rem       to work properly.


rem       First, test the "whitebox" sub-project

call jtestgui.exe -ptp_new ProjectWhitebox.ptp -search_in ../.. -filter_in examples.dynamic.whitebox.* -nogui -silent -retest -nologo


rem       Next, test the "project" sub-project

call jtestgui.exe -ptp_new ProjectProject.ptp -search_in ../.. -filter_in examples.eval.project.* -nogui -silent -retest -nologo


rem       Finally, test the "blackbox" sub-project

call jtestgui.exe -ptp_new ProjectBlackbox.ptp -search_in ../.. -filter_in examples.dynamic.blackbox.* -nogui -silent -retest -nologo


